CURLOPT_SSL_EC_CURVES(3)

NAME
CURLOPT_SSL_EC_CURVES - key exchange curves

SYNOPSIS
#include <curl/curl.h>
CURLcode curl_easy_setopt(CURL *handle, CURLOPT_SSL_EC_CURVES, char *list);

DESCRIPTION
Pass a string as parameter with a colon delimited list of Elliptic curve (EC) algorithms. This option defines the client's key exchange algorithms in the SSL handshake (if the SSL backend libcurl is built to use supports it). The application does not have to keep the string around after setting this option. Using this option multiple times makes the last set string override the previous ones. Set it to NULL to restore back to internal default.

DEFAULT
"", embedded in SSL backend

PROTOCOLS
This functionality affects all TLS based protocols: HTTPS, FTPS, IMAPS, POP3S, SMTPS etc. This option works only with the following TLS backends: OpenSSL and wolfSSL

EXAMPLE
int main(void)
{
  CURL *curl = curl_easy_init();
  if(curl) {
    CURLcode res;
    curl_easy_setopt(curl, CURLOPT_URL, "https://example.com/");
    curl_easy_setopt(curl, CURLOPT_SSL_EC_CURVES, "X25519:P-521");
    res = curl_easy_perform(curl);
    curl_easy_cleanup(curl);
  }
}

AVAILABILITY
Added in curl 7.73.0

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_SSL_CIPHER_LIST(3), CURLOPT_SSL_OPTIONS(3), CURLOPT_TLS13_CIPHERS(3)